Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List

Prev Next
Post
/list/profile

Used to get a list of previously created user profiles. All user profiles may be returned or lists of user profiles of a certain type if criteria are provided.

Further information on user profiles, device profiles and attributes can be found in the guide on user data.

Body parameters
Get all email addressable profiles paginated
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "email_addressable",
      "=",
      "0"
    ]
  ],
  "limit": "50",
  "offset": "0"
}
Get unsubscribed addressable profiles with email
{
  "apptoken": "YOUR_APPTOKEN",
  "select": [
    "email"
  ],
  "condition": [
    [
      "email_subscription",
      "=",
      "0"
    ],
    [
      "email_addressable",
      "=",
      "1"
    ],
    [
      "email",
      "is not",
      null
    ]
  ],
  "order": [
    "id ASC",
    "id"
  ],
  "limit": "50",
  "offset": "0"
}
object
apptoken
string Required

Your App token

order
Array of string

Order the results in either ascending or descending order based on any of the attributes, eg. ["id ASC", "email"] or ["id DESC", "email"]

string
select
Array of string

Select what attributes to return, eg. ["id", "project_id", "user_id", "email", "email_addressable"]

string
condition
string (json)

Filter the user profiles based on some criteria, eg. [ ["email_addressable", "=" , 1] ]

limit
integer (int32)

Used with offset for pagination, eg. "limit": 50, "offset": 0 returns a max of 50 results starting at position 0

offset
string

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "id": "11eb0ca1064e5d178bc7061c72c7ac00",
      "email": "info@example.com",
      "email_addressable": "1",
      "email_subscription": "1",
      "timezone": "Europe/Dublin"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
id
string
Example11eb0ca1064e5d178bc7061c72c7ac00
email
string
Exampleinfo@example.com
email_addressable
integer
Default0
Example1
email_subscription
integer
Default0
Example1
timezone
string
ExampleEurope/Dublin
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information"
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string